/*
    Using pointers as function parameters. 
*/

#include <stdio.h>

void to3add3(int* a, int* b, int*c) 
{
    *a += 3;
    *b += 3;
    *c += 3;
}

void to3add3_nopointer(int a, int b, int c) 
{
    a += 3;
    b += 3;
    c += 3;
    printf("In function to3add3_nopointer():\n");
    printf("a = %d, b = %d, c = %d\n", a, b, c);
}


int main(void)
{
    int a = 1;
    int b = 2;
    int c = 3;

    printf("Before function to3add3():\n");
    printf("a = %d, b = %d, c = %d\n", a, b, c);

    to3add3(&a, &b, &c);
    printf("After function to3add3():\n");
    printf("a = %d, b = %d, c = %d\n", a, b, c);

    to3add3_nopointer(a, b, c);
    printf("After function to3add3_nopointer():\n");
    printf("a = %d, b = %d, c = %d\n", a, b, c);

    return 0;
}
